librevenge::RVNGSpreadsheetInterface Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
librevenge::RVNGSpreadsheetInterface Class Referenceabstract

Pure virtual class containing all the callback functions that can be made by a spreadsheet parser. More...

`#include <RVNGSpreadsheetInterface.h>`

Inheritance diagram for librevenge::RVNGSpreadsheetInterface:

## Public Member Functions
virtual | ~RVNGSpreadsheetInterface ()
| destructor More...
virtual void | setDocumentMetaData (const RVNGPropertyList &propList)=0
| Called when all document metadata should be set. More...
virtual void | startDocument (const RVNGPropertyList &propList)=0
| Called at the start of the parsing process. More...
virtual void | endDocument ()=0
| Called at the end of the parsing process. More...
virtual void | definePageStyle (const RVNGPropertyList &propList)=0
virtual void | defineEmbeddedFont (const RVNGPropertyList &propList)=0
| Called when an embedded font should be defined. More...
virtual void | openPageSpan (const RVNGPropertyList &propList)=0
| Called when a new page span is opened. More...
virtual void | closePageSpan ()=0
| Called when a page span is closed. More...
virtual void | openHeader (const RVNGPropertyList &propList)=0
| Called when a header should be opened (a sub-document will be placed inside of it). More...
virtual void | closeHeader ()=0
| Called when a header should be closed. More...
virtual void | openFooter (const RVNGPropertyList &propList)=0
| Called when a footer should be opened (a sub-document will be placed inside of it). More...
virtual void | closeFooter ()=0
| Called when a footer should be closed. More...
virtual void | defineSheetNumberingStyle (const RVNGPropertyList &propList)=0
| Called when a numbering style must be defined. More...
virtual void | openSheet (const RVNGPropertyList &propList)=0
| Called when a sheet should be opened. More...
virtual void | closeSheet ()=0
| Called when a sheet should be closed. More...
virtual void | openSheetRow (const RVNGPropertyList &propList)=0
| Called when a new sheet row is opened. More...
virtual void | closeSheetRow ()=0
| Called when a sheet row should be closed. More...
virtual void | openSheetCell (const RVNGPropertyList &propList)=0
| Called when a cell should be opened. More...
virtual void | closeSheetCell ()=0
| Called when a sheet should be closed. More...
virtual void | defineChartStyle (const RVNGPropertyList &propList)=0
virtual void | openChart (const RVNGPropertyList &propList)=0
| Called when a chart should be opened. More...
virtual void | closeChart ()=0
| Called when a chart should be closed. More...
virtual void | openChartTextObject (const RVNGPropertyList &propList)=0
| Called when a chart text zone:label/legend/title/subtitle/footer should be opened. More...
virtual void | closeChartTextObject ()=0
| Called when a chart text zone:legend/title/subtitle/footer should be closed. More...
virtual void | openChartPlotArea (const RVNGPropertyList &propList)=0
| Called when a chart plot area should be opened. More...
virtual void | closeChartPlotArea ()=0
| Called when a chart plot arre should be closed. More...
virtual void | insertChartAxis (const RVNGPropertyList &axis)=0
| Called when a axis should be add in a plot area. More...
virtual void | openChartSerie (const librevenge::RVNGPropertyList &series)=0
| Called when a serie should be opened (in a plot area) More...
virtual void | closeChartSerie ()=0
| Called when a serie should be closed (in a plot area) More...
virtual void | defineParagraphStyle (const RVNGPropertyList &propList)=0
virtual void | openParagraph (const RVNGPropertyList &propList)=0
| Called when a new paragraph is opened. More...
virtual void | closeParagraph ()=0
| Called when a paragraph is closed. More...
virtual void | defineCharacterStyle (const RVNGPropertyList &propList)=0
virtual void | openSpan (const RVNGPropertyList &propList)=0
| Called when a text span is opened. More...
virtual void | closeSpan ()=0
| Called when a text span is closed. More...
virtual void | openLink (const RVNGPropertyList &propList)=0
| Called when a link should be opened. More...
virtual void | closeLink ()=0
| Called when the current link is closed. More...
virtual void | defineSectionStyle (const RVNGPropertyList &propList)=0
virtual void | openSection (const RVNGPropertyList &propList)=0
| Called when a new section is opened. More...
virtual void | closeSection ()=0
| Called when a section is closed. More...
virtual void | insertTab ()=0
| Called when a TAB character should be inserted. More...
virtual void | insertSpace ()=0
| Called when an explicit space should be inserted. More...
virtual void | insertText (const RVNGString &text)=0
| Called when a string of text should be inserted. More...
virtual void | insertLineBreak ()=0
| Called when a line break should be inserted. More...
virtual void | insertField (const RVNGPropertyList &propList)=0
| Called when a field should be inserted. More...
virtual void | openOrderedListLevel (const RVNGPropertyList &propList)=0
| Called when a new ordered list level should be opened. More...
virtual void | openUnorderedListLevel (const RVNGPropertyList &propList)=0
| Called when a new unordered list level should be opened. More...
virtual void | closeOrderedListLevel ()=0
| Called when an unordered list level should be closed. More...
virtual void | closeUnorderedListLevel ()=0
| Called when an ununordered list level should be closed. More...
virtual void | openListElement (const RVNGPropertyList &propList)=0
| Called when a list element should be opened. More...
virtual void | closeListElement ()=0
| Called when a list element should be closed. More...
virtual void | openFootnote (const RVNGPropertyList &propList)=0
| Called when a footnote should be opened (a sub-document will be placed inside of it) More...
virtual void | closeFootnote ()=0
| Called when a footnote should be closed. More...
virtual void | openComment (const RVNGPropertyList &propList)=0
| Called when a comment or annotation should be opened (a sub-document will be placed inside of it) More...
virtual void | closeComment ()=0
| Called when a comment or annotation should be closed. More...
virtual void | openFrame (const RVNGPropertyList &propList)=0
| Called when a positioned box should be opened. More...
virtual void | closeFrame ()=0
| Called when the current positioned box is closed. More...
virtual void | insertBinaryObject (const RVNGPropertyList &propList)=0
| Called when a binary object should be inserted. More...
virtual void | openTextBox (const RVNGPropertyList &propList)=0
| Called when a text box should be opened (a sub-document will be placed inside of it) More...
virtual void | closeTextBox ()=0
| Called when a text box should be closed. More...
virtual void | openTable (const RVNGPropertyList &propList)=0
| Called when a table should be opened. More...
virtual void | openTableRow (const RVNGPropertyList &propList)=0
| Called when a new table row is opened. More...
virtual void | closeTableRow ()=0
| Called when the current table row is closed. More...
virtual void | openTableCell (const RVNGPropertyList &propList)=0
| Called when a new table cell is opened. More...
virtual void | closeTableCell ()=0
| Called when the current table cell is closed. More...
virtual void | insertCoveredTableCell (const RVNGPropertyList &propList)=0
| Called when a covered (spanned by another cell in the table) table cell is opened. More...
virtual void | closeTable ()=0
| Called when the current table is closed. More...
virtual void | openGroup (const RVNGPropertyList &propList)=0
virtual void | closeGroup ()=0
virtual void | defineGraphicStyle (const RVNGPropertyList &propList)=0
virtual void | drawRectangle (const RVNGPropertyList &propList)=0
virtual void | drawEllipse (const RVNGPropertyList &propList)=0
virtual void | drawPolygon (const RVNGPropertyList &propList)=0
virtual void | drawPolyline (const RVNGPropertyList &propList)=0
virtual void | drawPath (const RVNGPropertyList &propList)=0
virtual void | drawConnector (const RVNGPropertyList &propList)=0
| Draw a connector. More...
virtual void | insertEquation (const RVNGPropertyList &propList)=0
| Called when a mathml object should be inserted. More...

## Detailed Description

Pure virtual class containing all the callback functions that can be made by a spreadsheet parser.

An application using this library should implement all the function definitions listed here.

Note
  in the following, the formula are defined using RVNGPropertyListVector which must contains the list of instruction to build the formula. Each instruction must contain `librevenge:type` with:
  - `librevenge:operator` with the operator "(", "+", .... must be in propList[librevenge:operator]
  - `librevenge:function` with the function in propList[librevenge:function]
  - `librevenge:number` with the number in propList[librevenge:number]
  - `librevenge:text` with the text in propList[librevenge:text]
  - `librevenge:cell` with the coordinate in propList[librevenge:row] and propList[librevenge:column] ; if needed the sheet name must be in propList[librevenge:sheet-name]
  - `librevenge:cells` with the coordinate in propList[librevenge:start-row],propList[librevenge:start-column] and propList[librevenge:end-row], propList[librevenge:end-column] if neededlibrevenge:name the numbering style name

## Constructor & Destructor Documentation

virtual librevenge::RVNGSpreadsheetInterface::~RVNGSpreadsheetInterface | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

virtual void librevenge::RVNGSpreadsheetInterface::closeChart | ( |  | ) |
| pure virtual

Called when a chart should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeChartPlotArea | ( |  | ) |
| pure virtual

Called when a chart plot arre should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeChartSerie | ( |  | ) |
| pure virtual

Called when a serie should be closed (in a plot area)

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeChartTextObject | ( |  | ) |
| pure virtual

Called when a chart text zone:legend/title/subtitle/footer should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeComment | ( |  | ) |
| pure virtual

Called when a comment or annotation should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeFooter | ( |  | ) |
| pure virtual

Called when a footer should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeFootnote | ( |  | ) |
| pure virtual

Called when a footnote should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeFrame | ( |  | ) |
| pure virtual

Called when the current positioned box is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeGroup | ( |  | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeHeader | ( |  | ) |
| pure virtual

Called when a header should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeLink | ( |  | ) |
| pure virtual

Called when the current link is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeListElement | ( |  | ) |
| pure virtual

Called when a list element should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeOrderedListLevel | ( |  | ) |
| pure virtual

Called when an unordered list level should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closePageSpan | ( |  | ) |
| pure virtual

Called when a page span is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeParagraph | ( |  | ) |
| pure virtual

Called when a paragraph is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeSection | ( |  | ) |
| pure virtual

Called when a section is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGRawSpreadsheetGenerator, and librevenge::RVNGTextSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeSheet | ( |  | ) |
| pure virtual

Called when a sheet should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeSheetCell | ( |  | ) |
| pure virtual

Called when a sheet should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeSheetRow | ( |  | ) |
| pure virtual

Called when a sheet row should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeSpan | ( |  | ) |
| pure virtual

Called when a text span is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeTable | ( |  | ) |
| pure virtual

Called when the current table is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeTableCell | ( |  | ) |
| pure virtual

Called when the current table cell is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeTableRow | ( |  | ) |
| pure virtual

Called when the current table row is closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeTextBox | ( |  | ) |
| pure virtual

Called when a text box should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::closeUnorderedListLevel | ( |  | ) |
| pure virtual

Called when an ununordered list level should be closed.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::defineCharacterStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::defineChartStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::defineEmbeddedFont | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when an embedded font should be defined.

Parameters

  propList | A set of properties that specify the font. May contain: `librevenge:name` The name of the font `librevenge:mime-type` The mimetype of the font `office:binary-data` The font data `librevenge:replacement-objects` A property list vector containing alternative formats of the font. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::defineGraphicStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::definePageStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::defineParagraphStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::defineSectionStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGRawSpreadsheetGenerator, and librevenge::RVNGTextSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::defineSheetNumberingStyle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a numbering style must be defined.

Parameters

  propList | Property list for the style. Must contain: `librevenge:name` the numbering style name `librevenge:value_type` the numbering type `librevenge:format` a vector containing a list of format instructions `librevenge:conditions` a vector containing `librevenge:formula` the condition `librevenge:name` the style to apply when the condition is verified

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::drawConnector | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Draw a connector.

The connector will be typically between two shapes, but free-standing connectors are allowed too.

Parameters

  propList | Defines a set of properties for the object. May contain: `draw:end-shape` The `ID` of the shape attached at the end. Should not be present if the connector's end is not attached to any object. `draw:start-shape` The `ID` of the shape attached at the beginning. Should not be present if the connector's start is not attached to any object. `svg:d` The connector's geometric path. This is optional; if missing, the consumer is free to render it any way it likes. `svg:x1` The `X` coordinate of the start point. `svg:y1` The `Y` coordinate of the start point. `svg:x2` The `X` coordinate of the end point. `svg:y2` The `Y` coordinate of the end point.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::drawEllipse | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::drawPath | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::drawPolygon | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::drawPolyline | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::drawRectangle | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::endDocument | ( |  | ) |
| pure virtual

Called at the end of the parsing process.

This is always the last callback made.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertBinaryObject | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a binary object should be inserted.

Parameters

  propList | Defines a set of properties for the object. May contain: `librevenge:mimetype` The mimetype of the object `office:binary-data` The object data `librevenge:replacement-objects` A property list vector containing alternative representations of the content. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data `librevenge:replacement-text` A string containing a text representation of the content.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertChartAxis | ( | const RVNGPropertyList & | axis | ) |
| pure virtual

Called when a axis should be add in a plot area.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertCoveredTableCell | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a covered (spanned by another cell in the table) table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertEquation | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a mathml object should be inserted.

Parameters

  propList | Defines a set of properties for the object. `librevenge:mimetype` The mimetype of the object `librevenge:data` reference to the string containing the equation representation

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertField | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a field should be inserted.

- `librevenge:field-type` field types may include:
  1. `text:page-number` Current page number
  2. `text:page-count` Total # of pages in document
- `style:num-format` Type of page number (for page number)

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertLineBreak | ( |  | ) |
| pure virtual

Called when a line break should be inserted.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertSpace | ( |  | ) |
| pure virtual

Called when an explicit space should be inserted.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertTab | ( |  | ) |
| pure virtual

Called when a TAB character should be inserted.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::insertText | ( | const RVNGString & | text | ) |
| pure virtual

Called when a string of text should be inserted.

Parameters

  text | A textbuffer encoded as a UTF8 string

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openChart | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a chart should be opened.

Parameters

  propList | Property list for the sheet. May contain: `librevenge:name` Determines the sheet name

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openChartPlotArea | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a chart plot area should be opened.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openChartSerie | ( | const librevenge::RVNGPropertyList & | series | ) |
| pure virtual

Called when a serie should be opened (in a plot area)

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openChartTextObject | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a chart text zone:label/legend/title/subtitle/footer should be opened.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openComment | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a comment or annotation should be opened (a sub-document will be placed inside of it)

Parameters

  propList | Defines a set of properties for the comment or annotation.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openFooter | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a footer should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Property list for the footer. May contain: `librevenge:occurrence` Determines on which pages the footer will occur (odd, even, or all)

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openFootnote | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a footnote should be opened (a sub-document will be placed inside of it)

Parameters

  propList | Defines a set of properties for the footnote. May contain: `librevenge:number` The footnote's number

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openFrame | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a positioned box should be opened.

Parameters

  propList | Defines a set of properties for the box. May contain: `text:anchor-type` How the Box is anchored (page, frame, paragraph, char, as-char) `svg:x` Horizontal position of the box (in inches) `svg:y` Vertical position of the box (in inches) `style:horizontal-pos` Horizontal alignment of the box (left, center, right, from-left, inside, outside, from-inside) `style:horizontal-rel` From where the horizontal position of the box is measured (page, page-content, page-start-margin, page-end-margin, frame, frame-content, frame-start-margin, frame-end-margin, paragraph, paragraph-content, paragraph-start-margin, paragraph-end-margin, char) `style:vertical-pos` Vertical alignment of the box `style:vertical-rel` From where the vertical position of the box is measured `svg:width` Width of the box (in inches) `style:relative-width` If the width should scale to keep the width/height ratio of the original object, this property is set to "scale". `svg:height` Height of the box (in inches) `style:relative-height` If the height should scale to keep the width/height ratio of the original object, this property is set to "scale".

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openGroup | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openHeader | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a header should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Property list for the header. May contain: `librevenge:occurrence` Determines on which pages the header will occur (odd, even, or all)

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openLink | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a link should be opened.

Parameters

  propList | Defines a set of properties for the link. May contain: `xlink:type` . `xlink:href` .

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openListElement | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a list element should be opened.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openOrderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new ordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `style:num-format` Type of list `style:num-prefix` Text that comes before the number in the list `style:num-suffix` Text that comes after the number in the list `text:start-value` The starting number of the list `text:min-label-width` The distance between the list label and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openPageSpan | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new page span is opened.

This will always be called before any actual content is placed into the document.

Parameters

  propList | Property list for the page span. May contain: `librevenge:num-pages` The length of this span, in number of pages `librevenge:is-last-page-span` Whether this is the start of the last page span in the document `fo:page-width` The width of the page, in inches `fo:page-height` The height of the page, in inches `style:print-orientation` The orientation of the page (portrait or landscape) `fo:margin-left` The left margin for each page in the span, in inches `fo:margin-right` The right margin for each page in the span, in inches `fo:margin-top` The top margin for each page in the span, in inches `fo:margin-bottom` The bottom margin for each page in the span, in inches

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openParagraph | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new paragraph is opened.

This (or openListElement) will always be called before any text or span is placed into the document.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openSection | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new section is opened.

Parameters

  propList | Property list for the section. May contain: `fo:margin-left` The left indentation of this section, in inches `fo:margin-right` The right indentation of this section, in inches `librevenge:margin-bottom` Extra space to add after the section, in inches `text:dont-balance-text-columns` Whether or not to balance text columns `style:columns` List of definitions of each column: left gutter, right gutter, and width (includes the gutters). Empty if there is only one column in the section. Each column may contain: `style:rel-width` `fo:start-indent` The left indentation of the margin, in inches `fo:end-indent` The right indentation of the margin, in inches

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGRawSpreadsheetGenerator, and librevenge::RVNGTextSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openSheet | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a sheet should be opened.

Parameters

  propList | Property list for the sheet. May contain: `librevenge:name` Determines the sheet name `librevenge:columns` a vector of property list which must contain: style:column-width: the width of a column, in inches

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openSheetCell | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a cell should be opened.

Parameters

  propList | Property list for the sheet. May contain: `librevenge:column` the cell column (between 0 and ... ) `librevenge:row` the cell row (between 0 and ... ) `librevenge:formula` a formula `librevenge:numbering-name` a numbering style name `librevenge:double` for a number cell `librevenge:bool` for a boolean cell `librevenge:year`, librevenge:month, librevenge:day, librevenge:hour, libwp:minute, librevenge:second for a date and/or time cell

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openSheetRow | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new sheet row is opened.

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openSpan | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a text span is opened.

Parameters

  propList | Property list for the span. May contain: `fo:font-style` Font style (italic or normal) `fo:font-weight` Font style (bold or normal) `style:text-line-through-type` (none, double or single, if present) `style:text-line-through-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-underline-type` (none, double or single, if present) `style:text-underline-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-outline` (true or false) `fo:font-variant` (small-caps, if present) `style:font-name` The name of the font used in the span, a text string in ascii `fo:font-size` The size of the font used in the span, in points (72 points per inch) `fo:color` The color of the font used in the span (encoded in hex: #RRGGBB) `fo:background-color` The background color of the text in the span (encoded in hex: #RRGGBB) `style:text-blinking` Whether the text should blink (true or false) `fo:text-shadow` `fo:language` \ The language of the text in the span, a valid language code according to ISO 639 `fo:text-shadow`

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openTable | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a table should be opened.

Parameters

  propList | Defines a set of properties for the table. May contain: `table:align` The alignment (left, right, center, or margins) `fo:margin-left` The left indentation of the table, in inches `fo:margin-right` The right indentation of the table, in inches `style:width` Total width of the table, in inches `fo:break-before` Whether this table should be placed in a new column or page (the value is set to column or page if so) `librevenge:table-columns` Column definitions for the table. May contain `style:column-width` Width of a column, in inches

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openTableCell | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned `table:number-columns-spanned` Number of columns that the cell spans `table:number-rows-spanned` Number of rows that the cell spans `fo:border-left` Properties of the left border of the cell `fo:border-right` Properties of the right border of the cell `fo:border-top` Properties of the top border of the cell `fo:border-bottom` Properties of the bottom border of the cell `fo:background-color` Color of the cell (encoded in hex: #RRGGBB) `style:vertical-align` Vertical alignment of the content in the cell (top, middle, or bottom)

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openTableRow | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new table row is opened.

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openTextBox | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a text box should be opened (a sub-document will be placed inside of it)

Parameters

  propList | Defines a set of properties for the text box.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::openUnorderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when a new unordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `text:bullet-char` The string that should be used as a bullet `text:min-label-width` The distance between the bullet and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::setDocumentMetaData | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called when all document metadata should be set.

This is always the first callback made.

Parameters

  propList | Property list for the metadata. May contain: `dc:creator` `dc:language` The document's keywords `dc:publisher` The document's publisher `dc:source` `dc:subject` The document's subject `dc:type` The document's type `dcterms:available` Date when the document was completed `dcterms:issued:` Date of the version of the document `librevenge:abstract` Abstract of the document's contents `librevenge:account` Account `librevenge:address` Address `librevenge:attachments` `librevenge:authorization` `librevenge:bill-to` `librevenge:blind-copy` `librevenge:carbon-copy` `librevenge:checked-by` `librevenge:client` `librevenge:comments` `librevenge:department` `librevenge:descriptive-name` The descriptive name for the document `librevenge:descriptive-type` The descriptive type for the document `librevenge:destination` `librevenge:disposition` `librevenge:division` `librevenge:document-number` `librevenge:editor` `librevenge:forward-to` `librevenge:group` `librevenge:mail-stop` `librevenge:matter` `librevenge:office` `librevenge:owner` `librevenge:project` `librevenge:purpose` `librevenge:received-from` `librevenge:recorded-by` `librevenge:recorded-date` Date when the document was recorded `librevenge:reference` `librevenge:revision-notes` `librevenge:revision-number` `librevenge:section` `librevenge:security` `librevenge:status` `librevenge:telephone-number` `librevenge:version-notes` `librevenge:version-number` `meta:creation-date` Document creation date `meta:initial-creator` The document's author `meta:keyword` The document's keywords ``

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

virtual void librevenge::RVNGSpreadsheetInterface::startDocument | ( | const RVNGPropertyList & | propList | ) |
| pure virtual

Called at the start of the parsing process.

This is always the second callback made.

Implemented in librevenge::RVNGCSVSpreadsheetGenerator, librevenge::RVNGTextSpreadsheetGenerator, and librevenge::RVNGRawSpreadsheetGenerator.

Referenced by ~RVNGSpreadsheetInterface().

The documentation for this class was generated from the following file:

- RVNGSpreadsheetInterface.h